Virtual Account Create / Update

Published when a virtual account is create or update.

Event metadata

  • name: VIRTUAL
  • types:
    • virtual.account.create
    • virtual.account.update
    • virtual.account.closed

Request body

FieldsData TypeDescription
event_idstringA unique ID for the event.
event_namestringEvent name.
event_typestringEvent type.
source_idstringAccount bank ID.
versionstringAPI Version number.
dataobjectObject containing virtual account details associated with the event.
data.direct_idstringIndicates the main account ID to which the current data belongs.
  • If direct_id is 0, the data belongs to the main account, and account_id represents the main account ID.
  • If direct_id is not 0, the data belongs to a sub-account. In this case, account_id represents the sub-account ID, and direct_id refers to the associated main account ID.
data.account_idstringThe ID of the account on which the event occurred.

Notification example


{
  "version": "V1.6.0",
  "event_name": "VIRTUAL",
  "event_type": "virtual.account.create",
  "event_id": "2e1ed87d-13ab-437e-a837-26f026074e29",
  "source_id": "975403e9-4a56-4bd0-9a48-ded243fd34b8",
  "data": {
    "account_bank_id": "",
    "account_holder": "AutoTest Caitlyn",
    "account_id": "e647ba95-7c94-463b-8f9e-c492c9bc2cc2",
    "account_number": "",
    "bank_address": "",
    "bank_name": "",
    "capability": {
      "payment_method": ""
    },
    "clearing_system": {
      "type": "",
      "value": ""
    },
    "close_reason": "",
    "country_code": "",
    "currency": "SGD",
    "direct_id": "0",
    "request_id": "test41",
    "status": "Processing"
  }
}


{
  "version": "V1.6.0",
  "event_name": "VIRTUAL",
  "event_type": "virtual.account.update",
  "event_id": "ab7de16b-f07a-43fb-bcbc-4ab28ecef9a2",
  "source_id": "201a0295-c7c1-4e8a-9fbd-ef5589740fb9",
  "data": {
    "account_bank_id": "201a0295-c7c1-4e8a-9fbd-ef5589740fb9",
    "account_holder": "AutoTest Caitlyn",
    "account_id": "e647ba95-7c94-463b-8f9e-c492c9bc2cc2",
    "account_number": "GB74TCCL12345610623004",
    "bank_address": "1 Sheldon Square, London, W2 6TT, United Kingdom",
    "bank_name": "The Currency Cloud Limited",
    "capability": {
      "payment_method": "SWIFT"
    },
    "clearing_system": {
      "type": "bic_swift",
      "value": "TCCLGB3L"
    },
    "close_reason": "",
    "country_code": "GB",
    "currency": "SGD",
    "direct_id": "0",
    "request_id": "test41",
    "status": "Active"
  }
}